byobu (7.15-0ubuntu1) stonking; urgency=medium

  * Ubuntu development series upload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 08 Jul 2026 20:41:07 +0000

byobu (7.14-1) UNRELEASED; urgency=medium

  * trustmux/homebrew: fix missing cryptography resource in Homebrew formula;
    bundled venv now includes cryptography, cffi, pycparser, and rust build dep
    so trustmux starts correctly out of the box (Closes: GH #113)
  * trustmux/pwa: preserve scroll position when new snapshots arrive; no longer
    yanked to bottom when scrolled up and terminal output changes
  * trustmux/pwa: restore last-viewed pane on reopen; pane ID persisted to
    localStorage (scoped per host) and restored on next PWA launch
  * release: fix .gitignore to anchor /debian/ to repo root so .maintainer/debian/
    is no longer inadvertently ignored by git
  * release: fix update_homebrew() to sync tap formula from canonical repo copy
    rather than mutating tap in place, preventing future resource omissions
  * trustmux: refuse to run as root (or via sudo); running as root breaks
    tailscale serve config and daemon ownership, could wedge the machine
  * trustmux/pwa: show daemon version in statusbar; version label is clickable
    to force a reload/update-check; amber ⟳ indicator when server has updated
  * trustmux/pwa: add password keyboard mode (**); input type=password so the
    mobile keyboard does not learn or autocorrect sensitive text
  * trustmux/pwa: fix password keyboard mode being hidden when selected due to
    CSS display:none fallback when style.display was set to empty string
  * trustmux/pwa: keyboard mode ($_ / Aa / **) is now sticky per pane,
    persisted to localStorage so context switches and PWA restarts restore it
  * trustmux: security: revoke active WebSocket streams immediately on unpair;
    previously a revoked token holder continued receiving live terminal output
    indefinitely until natural connection drop (TMX-004)
  * trustmux: security: reduce pairing code TTL from 180s to 60s to match
    advertised window and reduce observation attack exposure (TMX-002)
  * trustmux: security: raise dependency floors to tornado>=6.5.7 (clears
    GHSA-pw6j-qg29-8w7f) and cryptography>=43.0 (TMX-017)

 -- Dustin Kirkland <dustin.kirkland@gmail.com>  Sat, 05 Jul 2026 00:00:00 -0500

byobu (7.13-1) UNRELEASED; urgency=medium

  * debian/source: switch to 3.0 (quilt) format with proper Debian revision
    versioning; update gbp.conf accordingly
  * debian/control: remove Andreas Tille from Uploaders
  * debian/salsa-ci.yml: disable test-uscan (watch file absent during
    open-dev cycle)
  * debian/rules: drop mobile/tests from dh_auto_test
  * trustmux: require TLS 1.3 minimum in --self-signed mode
  * trustmux.1: correct pairing code TTL from 5 min to 3 min
  * Open 7.12 for development
  * Open 7.13 for development

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Jun 2026 20:52:40 -0500

byobu (7.11) UNRELEASED; urgency=medium

  * debian/po/sv.po:
    - replace the placeholder 2020 anonymous Swedish translation with
      the proper 2024 translation from Martin Bagge <brother@persilja.net>,
      submitted via Debian BTS; previous version had awkward phrasing and
      a typo ("t.e.x) konsol"); new version uses correct idiomatic Swedish
      and credits the debian-l10n-swedish team
      Closes: #1071729
  * debian/po/zh_CN.po, debian/po/zh_TW.po:
    - remove spurious #, fuzzy flag from header (all msgstrs are complete
      and non-fuzzy; flag was auto-generated by Poedit for the header entry)
  * debian/po/zh_CN.po:
    - replace Unicode "smart quotes" around 'byobu-config' with ASCII
      single quotes to match debconf conventions and all other translations
  * debian/control: remove Antoine Beaupré from Uploaders per his request
  * usr/bin/byobu-ulevel:
    - replace awk %.*f with bash printf for busybox compatibility
  * usr/share/byobu/doc/byobu.1:
    - document URxvt Ctrl+Shift+Fn keysym fix in BUGS section
  * Fold in packaging improvements from Andreas Tille's 7.10-0.1 NMU:
    - debian/control: dh-python → dh-sequence-python3 (modern debhelper);
      drop run-one from Recommends; drop apport from Suggests;
      ttf-ubuntu-font-family → fonts-ubuntu (package renamed);
      tmux (>= 1.5) → tmux (version constraint obsolete);
      debconf (>= 0.5) | debconf-2.0 → debconf | debconf-2.0;
      add ${perl:Depends}; Homepage → https://www.byobu.org
    - debian/rules: drop --with python3 (implied by dh-sequence-python3)
    - debian/watch: upgrade to version 5 git mode
    - debian/copyright: convert to DEP-5 machine-readable format
    - debian/upstream/metadata: new file with Bug-Database/Bug-Submit URLs
    - debian/salsa-ci.yml: add Salsa CI pipeline configuration
    - debian/source/lintian-overrides: drop now-resolved overrides for
      debian-watch-does-not-check-openpgp-signature and no-dep5-copyright
    - debian/po/fr.po: add French debconf translation (Grégoire Scano, 2019)
    - debian/po/nl.po: add Dutch debconf translation (Frans Spiesschaert, 2019)
    - debian/po/pt_BR.po: add Brazilian Portuguese debconf translation
      (Adriano Rafael Gomes, 2020)
    - debian/po/de.po: capitalisation fix + proper German quotation marks
    - debian/po/ru.po: replace incomplete 2010 translation with complete
      2019 version from Lev Lamberov (Debian L10N Russian)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Jun 2026 23:32:22 -0500

byobu (7.10) UNRELEASED; urgency=medium

  * mobile/trustmux/static/app.js, mobile/trustmux/static/index.html:
    - add optional biometric/PIN re-authentication lock to the Trustmux PWA;
      uses the WebAuthn platform authenticator API (fingerprint, face unlock,
      or device PIN as fallback) to lock the app after 5 minutes of inactivity
      or 30 seconds of being backgrounded; on first launch after pairing, the
      user is offered to enable the lock (can choose Enable, Not now, or Never
      ask again); if enabled, the app locks on cold start and requires biometric
      or PIN to unlock; a Disable lock option is available from the lock screen
      itself; requires HTTPS (WebAuthn spec requirement)
  * usr/share/byobu/profiles/bashrc:
    - fix exit code always showing 0 in the PS1 prompt status indicator;
      byobu_prompt_status() was reading $? inside PS1 expansion, but
      byobu_prompt_runtime() ran first and reset $? to 0; fix by saving
      the real exit code into _byobu_exit_code via a new _byobu_save_exit()
      function prepended to PROMPT_COMMAND, which fires before PS1 rendering
      while $? still holds the exit code of the last user command
  * README.md, configure.ac, man pages, appdata:
    - update all byobu.org references from http:// to https://; the domain
      has required HTTPS for years and all source-tree links now reflect
      that; byobu.org is confirmed accessible at https://byobu.org;
      commit 0106e742 (May 2026)
      LP: #1837812, #1842990
  * usr/bin/byobu-launch.in:
    - skip autolaunch when $TMUX is already set, preventing nested session
      warning "sessions should be nested with care" when opening a new pane
      or window inside an existing byobu/tmux session
  * usr/bin/purge-old-kernels:
    - print visible deprecation warning to stderr before delegating to
      apt-get autoremove, directing users to 'sudo apt autoremove'
  * usr/share/byobu/profiles/bashrc:
    - use >| for dircolors redirect to work correctly when the shell has
      set -o noclobber active (e.g. oh-my-bash)
  * debian/control, debian/rules, debian/byobu.install, debian/byobu.dirs,
    debian/byobu.manpages, debian/byobu.lintian-overrides, debian/docs:
    - fold trustmux into the byobu binary package; all trustmux files
      (daemon, CLI tools, Python library, static PWA assets, man pages) are
      now installed by the byobu package so that "dpkg -i byobu*.deb" brings
      trustmux along for the ride; the daemon does not start automatically —
      users must explicitly run trustmux-enable to opt in; pip install and
      brew install remain available for those who want trustmux without byobu;
      remove the separate trustmux binary package from the source package;
      add python3-cryptography and python3-tornado to byobu's Depends as they
      are now required at runtime; python3-cryptography is in Ubuntu/Debian main

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 08 Jun 2026 07:50:11 -0500

byobu (7.9-1) unstable; urgency=medium

  * Major upstream release series 7.x — complete rewrite targeting tmux as
    the sole backend (GNU screen support removed). Covers all changes from
    7.0 through 7.9, first upload of the 7.x series to Debian unstable.
    Closes: #1138925
  * usr/share/byobu/profiles/tmuxrc:
    - fix tmux 3.6 startup syntax errors: replace #{BYOBU_ACCENT} and
      #{BYOBU_HIGHLIGHT} format strings with $VAR environment-variable
      expansion; tmux 3.6 no longer accepts #{} in style option values.
      GH: #105
  * usr/share/byobu/include/colors:
    - drop historic \# backslash escape before hex colour values; tmux 3.6
      explicitly rejects the \#RRGGBB form; plain #RRGGBB is accepted by all
      supported tmux versions. GH: #105
  * debian/postinst:
    - update gnome-terminal server binary path check from the old
      /usr/lib/gnome-terminal/gnome-terminal-server to the current
      /usr/libexec/gnome-terminal-server (gnome-terminal 3.34.0+ migration);
      old path also checked for backward compatibility.
      Closes: #857223
  * usr/lib/byobu/disk_io:
    - fix cache read failure causing incorrect I/O statistics; the Linux
      path wrote the cache file without a trailing newline, causing POSIX
      read to always fail and display cumulative totals instead of rates.
      Closes: #992984
  * usr/bin/byobu.in:
    - prefer tmux-256color terminfo over screen-256color when available;
      screen-256color defines smso=\E[3m (italic escape) causing tmux to
      render standout as italic rather than reverse video.
      Closes: #760431
  * usr/lib/byobu/include/select-session.py:
    - honour .always-select flag correctly: when ~/.byobu/.always-select
      exists the session-selection menu always appears, even with zero or
      one existing session. Closes: #1030283
  * debian/po/sv.po:
    - add Swedish debconf template translation from Martin Bagge.
      Closes: #1071729
  * debian/po/pt.po:
    - add complete Portuguese debconf translation from Américo Monteiro;
      the 2010 Tiago Silva version left two of three msgstr entries empty.
      Closes: #1107443
  * debian/po/zh_CN.po, debian/po/zh_TW.po:
    - add Simplified and Traditional Chinese debconf template translations
      from Yangfl <mmyangfl@gmail.com>. Closes: #1124414
  * Close obsolete bugs:
    - #735178 (tmux starts infinite threads): moreinfo requested in 2015,
      no response in over ten years; byobu-status substantially hardened.
    - #772221 (bashism fractional sleep): GNU coreutils sleep supports
      fractional arguments on all supported architectures; not a concern.
      Closes: #735178, #772221
  * debian/control, debian/rules, debian/byobu.install:
    - fold trustmux mobile companion into the byobu binary package; all
      trustmux files (daemon, CLI tools, Python library, PWA assets, man
      pages) installed by the byobu package; daemon does not start
      automatically — users opt in via trustmux-enable.
    - add python3-tornado and python3-cryptography to Depends (required
      at runtime by the trustmux daemon).
  * debian/control:
    - update Vcs-Git and Vcs-Browser to Salsa.
    - update Standards-Version to 4.7.4 (no changes required).
  * debian/watch: update from Launchpad to GitHub for upstream tarballs.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 09 Jun 2026 12:00:00 -0500

byobu (7.1) experimental; urgency=medium

  * Skipped release; version 7.1 RC packages were published to the PPA
    under an inconsistent versioning scheme (7.1~rc3 vs 7.1~0rc13) that
    caused dpkg to consider the later RC older than the earlier one.
    Advancing to 7.2 to avoid the unresolvable PPA slot conflict.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 29 May 2026 08:44:38 -0500

byobu (7.0) experimental; urgency=medium

  * usr/bin/byobu.in:
    - fix italic text rendered as reverse video inside byobu/tmux
    - screen-256color terminfo defines smso=\E[3m (the italic escape) with no
      sitm capability; tmux maps italic requests to standout, which the outer
      terminal renders as reverse video
    - prefer tmux-256color (when available) as BYOBU_COLOR_TERM for the tmux
      backend; tmux-256color correctly separates smso=\E[7m and sitm=\E[3m
    - falls back to screen-256color on systems without tmux-256color terminfo
    - https://github.com/dustinkirkland/byobu/issues/96
  * usr/lib/byobu/battery:
    - add upower fallback for UPS devices (e.g. APC USB HID) when /proc and
      /sys yield no battery data (thanks Anthony Kava, PR #95)
    - fix uevent sourcing to quote values containing spaces (e.g. serial numbers
      like "12345 2020/07/01") by writing a temp file with double-quoted values
    - add fully-charged state to sign selection for upower-reported status
    - harden mktemp error path, add trap for temp file cleanup on signal
    - declare dev and BATTERY_STATUS as local variables
  * usr/lib/byobu/load_average:
    - add LOAD_AVERAGES=3 option: set in ~/.byobu/statusrc to display all three
      load average intervals (1, 5, 15 min) space-separated in the status bar;
      default behaviour (1-minute only) is unchanged
  * usr/lib/byobu/ (OpenBSD support, thanks Corey Leavitt, PR #91):
    - battery: APM(8) support via apm -l / apm -a
    - cpu_temp: hw.sensors coretemp/km/ksmn/inteldrm with acpitz fallback
    - cpu_freq: hw.cpuspeed (MHz) support
    - cpu_count: sysctl hw.ncpuonline fallback
    - fan_speed: hw.sensors fan[0-9] parsing
    - memory: hw.physmem + vmstat -s free/inactive pages
    - swap: swapctl -sk summary parsing
    - load_average: sysctl vm.loadavg ({ x.xx y.yy z.zz } format)
    - network: netstat -ibn with cached output for both directions
    - disk_io: iostat -DI cumulative KB with rate calculation and caching
    - disk: mount command fallback when /proc/mounts is absent
    - wifi_quality: ifconfig signal strength with dBm→% conversion
    - uptime: kern.boottime epoch seconds
    - entropy: no-op (OpenBSD uses arc4random(3), always seeded)
    - raid: bioctl softraid0 degraded/failed/rebuild detection
    - ip_address: get_network_interface fallback when /proc/net/ipv6_route absent
    - fix four OpenBSD sensor parsing bugs introduced in PR #91:
      cpu_temp awk field index, load_average awk field index (braced output),
      swap swapctl field index (used vs capacity%), fan_speed gsub trailing text
  * usr/lib/byobu/include/constants:
    - cache BYOBU_OSTYPE via uname -s once at startup to avoid repeated forks
  * usr/lib/byobu/include/shutil:
    - cache kern.boottime in _BYOBU_BOOTTIME (constant across session lifetime)
    - fix get_network_interface: add -n to route(8) to suppress DNS lookups,
      consolidate grep+awk into single awk for BSD/macOS path
    - use BYOBU_OSTYPE instead of uname -s fork in get_distro
  * usr/lib/byobu/include/cycle-status:
    - use $BYOBU_SED_INLINE instead of hardcoded sed -i (BSD sed compatibility)
  * usr/lib/byobu/include/toggle-utf8.in:
    - use $BYOBU_SED_INLINE instead of hardcoded sed -i (BSD sed compatibility)
  * usr/lib/byobu/include/dirs.in:
    - check [ -d /dev/shm ] before [ -w /dev/shm ] (absent on non-Linux)
  * usr/lib/byobu/processes:
    - subtract 1 from ps -ef line count for header on non-Linux systems
  * usr/lib/byobu/memory:
    - use cached BYOBU_OSTYPE instead of $(uname -s) for FreeBSD branch
  * usr/share/byobu/status/statusrc:
    - document LOAD_AVERAGES=1 option (set to 3 for all three intervals)
  * usr/share/man/man1/byobu.1:
    - document LOAD_AVERAGES=3 option in load_average indicator entry
  * mobile/*: rename byobu-mobile → Trustmux across all files
    - introduce trustmux: mobile companion daemon for tmux/Byobu sessions
    - monitor and interact with tmux sessions from any phone browser
      over Tailscale
    - HTTPS by default via tailscale serve (Let's Encrypt cert,
      no management required)
    - pairing flow: 6-digit one-time code, permanent session tokens,
      per-device revocation
    - PWA support: manifest.json, service worker, Add to Home Screen
      on Android and iOS
    - multi-machine selector: jump between trustmux daemons from one UI
    - trustmux-enable / trustmux-disable: start/stop daemon and
      install login hook
    - daemon built on python3-tornado (Ubuntu Main); zero new runtime
      deps for packaged users
    - ansi: true subscribe flag passes tmux capture-pane -e for full
      VT100 colour output
    - config dir: ~/.config/trustmux/; socket: trustmux.sock;
      cookie: trustmux_session
    - four rounds of security hardening: open redirect fix, path traversal
      guard, token hardening, CSP unsafe-inline removal, request body cap
      at 64 KB, cache-control headers
  * usr/share/byobu/tests/test_byobu.sh:
    - add 113-test shell test suite covering byobu core utilities
    - tests: fpdiv, rtrim, color_map, attr_map, uncommented_lines, status_freq,
      color_tmux, newest, uptime formatting, memory/swap unit thresholds,
      battery percentage/colour thresholds/state signs, disk units,
      get_distro, config dir resolution, cpu count, byobu-ulevel
  * mobile/tests/test_daemon_extended.py:
    - add 134-test Python daemon suite (247 tests total with shell suite)
    - covers: token persistence (mode 0600, roundtrip), security headers on all
      endpoints, all static file handlers, MachinesHandler, tmux write ops,
      _make_chip colour mapping, read_byobu_status, admin socket protocol,
      WebSocket handler (auth, rate limiting, all message types)
  * debian/rules:
    - add override_dh_auto_test: runs 113 shell + 134 Python tests (247 total)
      on every dpkg-buildpackage / debuild invocation
  * debian: lintian clean-up and packaging modernisation

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 28 May 2026 02:16:21 -0500

byobu (7.0-0ubuntu1) stonking; urgency=medium

  * Merge upstream 7.0 release for Ubuntu stonking (development series).
    All changes identical to the upstream 7.0 entry above.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 28 May 2026 02:16:21 -0500

byobu (6.16) released; urgency=medium

  * usr/share/man/man1/byobu.1:
    - add STATUS ICONS section documenting Unicode and ASCII icons
    - clarifies meaning of symbols like ⚠, ⟳, ‼, and 🗹
    - https://github.com/dustinkirkland/byobu/issues/79
  * usr/bin/byobu-launcher.in:
    - prevent nested tmux sessions when Fish shell (or other shells) already run tmux
    - fixes "sessions should be nested with care" error on login
    - https://github.com/dustinkirkland/byobu/issues/76
  * usr/lib/byobu/include/select-session.py:
    - fix byobu-select-session filtering out hyphenated session names
    - remove overly broad hyphen check that broke sessions like "project-foo-bar"
  * debian/po/sv.po:
    - add Swedish translation for Debian installation templates
    - thanks to Luna Jernberg for the translation

 -- Dustin Kirkland <dustin.kirkland@chainguard.dev>  Tue, 26 May 2026 11:53:03 -0500

byobu (6.15) released; urgency=medium

  * usr/lib/byobu/disk_io:
    - fix stale disk_io status notifications when I/O drops below threshold
    - fix crash on NVMe and MMC devices due to partition naming (nvme0n1p2)
    - fix cache read failure causing incorrect statistics display
    - LP: #1658524
    - Closes: #992984
  * usr/lib/byobu/users:
    - fix trailing hash display for screen backend (tmux needs ##, screen needs #)
  * usr/lib/byobu/memory:
    - add FreeBSD support using sysctl for memory statistics
  * usr/lib/byobu/fan_speed:
    - fix fan speed stuck at last non-zero value when dropping to 0 RPM
    - LP: #1897540
  * usr/lib/byobu/cpu_freq:
    - add dmidecode fallback for zero bogomips CPUs (Ampere Altra processors)
    - LP: #2051288
  * usr/bin/byobu-shell.in:
    - fix infinite loop with fish shell autostart
    - LP: #2064030
  * usr/bin/purge-old-kernels:
    - note: this script was already deprecated/simplified to call apt autoremove
    - Closes: #935681
  * Document bash requirement for decimal sleep values:
    - add bash to Depends in debian/control
    - change shebang to #!/bin/bash in scripts using decimal sleep
    - add documentation comments explaining necessity of decimal sleeps
    - fixes: hostname, ip_address, shutil, byobu-launch.in
    - Closes: #772221

 -- Dustin Kirkland <dustin.kirkland@chainguard.dev>  Sun, 15 Feb 2026 17:08:47 -0600

byobu (6.14-0ubuntu1) resolute; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - don't output byobu_prompt_runtime to stderr
    - fixes Ubuntu #2067490
    - https://github.com/dustinkirkland/byobu/pull/68
    - only set PS0 when BYOBU_RUN_DIR exists (prevents errors outside byobu)
    - https://github.com/dustinkirkland/byobu/issues/75
  * usr/bin/byobu-layout.in:
    - fix expr: syntax error by removing duplicate variable declaration
    - https://github.com/dustinkirkland/byobu/pull/63
  * usr/share/byobu/keybindings/f-keys.tmux:
    - prevent help screen from disappearing if user has set $LESS
    - https://github.com/dustinkirkland/byobu/pull/64
  * README.md:
    - fix typo: INSTALATION -> INSTALLATION
    - https://github.com/dustinkirkland/byobu/pull/67
    - fix installation instructions to use ./autogen.sh instead of ./debian/rules
    - works without debhelper/root access, fixes syntax error
    - addresses issue raised in https://github.com/dustinkirkland/byobu/pull/86
    - update git clone URL from git:// to https:// (git:// protocol disabled by GitHub)
    - https://github.com/dustinkirkland/byobu/issues/72
  * configure.ac, usr/bin/byobu.in:
    - use autoconf @VERSION@ substitution for consistent version management
    - https://github.com/dustinkirkland/byobu/pull/70
  * usr/bin/byobu.in:
    - extend home directory ownership test for non-standard setups
    - allows byobu to work in networked environments where $HOME is root-owned
    - https://github.com/dustinkirkland/byobu/pull/55
  * usr/lib/byobu/services:
    - add systemd support to services status script
    - now checks systemd before falling back to upstart/sysvinit
    - https://github.com/dustinkirkland/byobu/pull/42
  * usr/lib/byobu/ip_address:
    - use OpenDNS for faster external IP detection when dig is available
    - falls back to ipv6-test.com if dig is unavailable or fails
    - based on https://github.com/dustinkirkland/byobu/pull/36
  * usr/lib/byobu/logo:
    - add Oracle Linux logo support
    - https://github.com/dustinkirkland/byobu/pull/74
  * Makefile.am, configure.ac, */Makefile.am:
    - add automake dist_ directives for proper distribution tarball creation
    - fixes "make distclean" to create buildable distributions
    - https://github.com/dustinkirkland/byobu/pull/69
  * usr/lib/byobu/include/common:
    - fix byobu -v not producing output when file ends with case block
    - add true statement after esac to restore stdout
    - https://github.com/dustinkirkland/byobu/issues/83
  * usr/lib/byobu/updates_available:
    - fix Arch Linux updates detection to check pacman.log for installed packages
    - prevents false positive "updates available" after packages are installed
    - https://github.com/dustinkirkland/byobu/issues/73
  * usr/bin/byobu-shell.in:
    - update bit.ly/byobu-tips URL to https://byobu.org

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 14 Feb 2026 20:27:44 -0600

byobu (6.13-0ubuntu1) plucky; urgency=medium

  * usr/lib/byobu/include/common:
    - added -v|--version and -h|--help to most executables
  * usr/share/byobu/profiles/bashrc:
    - fix PS1 ANSI escape sequences causing line wrap errors

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 29 Mar 2025 19:55:23 -0500

byobu (6.12-0ubuntu1) noble; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - added git branch to bash ps1 prompt

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 17 Feb 2024 07:25:02 -0600

byobu (6.11-0ubuntu1) noble; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - fix BYOBU_RUN_DIR and BYOBU_PREFIX issue
    - https://github.com/dustinkirkland/byobu/pull/62
    - https://launchpad.net/bugs/2051995 LP: #2051995
  * usr/bin/byobu-launcher-install.in:
    - Fix for VSCode, fish and byobu installations
    - https://github.com/dustinkirkland/byobu/commit/f917d2169afdec623f5b32723d93bfd91d34b92f#commitcomment-137955113
  * usr/lib/byobu/updates_available:
    - added support for dnf package manager
    - https://code.launchpad.net/~sanjay-ankur/byobu/byobu/+merge/415959

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 10 Feb 2024 11:24:04 -0600

byobu (6.10-0ubuntu1) noble; urgency=medium

  * debian/compat, debian/control:
    - bump compat, fix vcs lintian warning, fix debhelper warnings
  * usr/share/byobu/profiles/bashrc:
    - fix timer string logic

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Jan 2024 09:43:03 -0600

byobu (6.9-0ubuntu1) noble; urgency=medium

  * snap:
    - removing, unused, never finished

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 22 Jan 2024 10:25:11 -0600

byobu (6.8-0ubuntu1) noble; urgency=medium

  * usr/share/byobu/keybindings/f-keys.tmux:
    - have F1 pull up the keybindings text

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 22 Jan 2024 09:26:40 -0600

byobu (6.7) released; urgency=medium

  * usr/bin/byobu.in:
    - if we're in a busybox/ash shell, but real bash is available, use bash

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 20 Jan 2024 21:15:53 -0600

byobu (6.6) released; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - export PS1
  * usr/bin/byobu-janitor.in:
    - add byobu prompt to .bashrc in Wolfi
  * usr/share/byobu/profiles/bashrc, usr/share/man/man1/byobu-prompt.1:
    - add a bash timer, that shows the runtime of the previous command
      at the beginning of the prompt

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Jan 2024 20:11:10 -0600

byobu (6.5) released; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - drop debian chroot from wolfi ps1
    - drastically simplify the conditional logic
  * usr/bin/byobu-shell.in:
    - need a -l login shell to source profiles and colorize PS1

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Jan 2024 13:04:06 -0600

byobu (6.4) released; urgency=medium

  * usr/lib/byobu/packages:
    - add missing trailing whitespace
  * usr/bin/byobu-janitor.in:
    - enable colorized prompt for Wolfi ash shells

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 07 Jan 2024 16:09:39 -0600

byobu (6.3) released; urgency=medium

  * usr/bin/byobu-janitor.in, usr/share/byobu/status/status:
    - within Wolfi, default to our 2nd status line
  * usr/lib/byobu/updates_available:
    - silence apk update
  * usr/share/byobu/profiles/bashrc:
    - support ash for colorized prompt

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 02 Jan 2024 19:23:28 -0600

byobu (6.2) released; urgency=medium

  * add a package count status item, useful for minimal containers
  * added support for apk / Wolfi in updates_available
  * added a status line customized for containers
  * add wolfi color schemed PS1 prompt

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 02 Jan 2024 19:08:03 -0600

byobu (6.1) released; urgency=medium

  * usr/lib/byobu/include/shutil:
    - fix distro getting from /etc/os-release

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 23 Dec 2023 15:09:29 -0600

byobu (6.0) released; urgency=medium

  * usr/lib/byobu/disk:
    - drop the -P from df which is breaking MacOS
      not sure where this came from
  * byobu.txt, usr/bin/whats-my-public-ip,
    usr/share/byobu/pixmaps/byobu_backup.svg:
    - copy over a couple of missing changes from bzr to git
  * debian/control, debian/copyright, README.md, usr/bin/byobu-
    export.in, usr/share/man/man1/byobu-export.1:
    - moving upstream Byobu from Launchpad.net to Github.com
  * README.md:
    - bumped date
  * usr/bin/byobu-select-profile.in: LP: #1828296
    - add missing listprofiles logic
  * usr/lib/byobu/include/select-session.py:
    - fix inverted logic on session reuse
  * usr/lib/byobu/logo:
    - added a logo for Wolfi
  * usr/lib/byobu/include/shutil, usr/lib/byobu/release:
    - Wolfi doesn't really have versions, so just use the distro
      name rather than version id

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 23 Dec 2023 15:09:09 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog byobu`.
